/* $Id: callbacks.c,v 1.2 2003/10/02 19:35:14 rsmith Exp $
 * -*- c -*-
 *
 * This file is part of gfontsel
 * Copyright (C) 2003  R.F. Smith
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * You can contact the author at the following addresses:
 *     e-mail: rsmith@xs4all.nl
 * snail-mail: R.F. Smith
 *             Dr. Hermansweg 36
 *             5624 HR Eindhoven
 *             The Netherlands
 *
 */

#include <stdio.h>
#include <gtk/gtk.h>

extern GtkWidget *fontselection1;

void
on_closebtn_clicked(GtkButton *button, gpointer user_data)
{
	char *fontname;
	fontname = gtk_font_selection_get_font_name(
		GTK_FONT_SELECTION(fontselection1));
	printf("%s\n", fontname);
	g_free(fontname);
	gtk_main_quit();
}

